# PSF-LoginServer - master - net.psforever.actors.zone.ZoneActor
PSF - LoginServer - master - net.psforever.actors.zone.ZoneActor
Keywords: PSF LoginServer master net.psforever.actors.zone.ZoneActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package zone
  Definition Classes
    actors
- BuildingActor
- FakeNtuSource
- ZoneActor

o

net.psforever.actors.zone

# ZoneActor 

###
Companion class ZoneActor

#### object ZoneActor

Source
  ZoneActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZoneActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class AddPlayer (player: Player) extends Command with Product with Serializable
2.  final case class AddToBlockMap (target: BlockMapEntity, toPosition: Vector3) extends Command with Product with Serializable
3.  final case class BuildDeployable (obj: Deployable, withTool: ConstructionItem) extends Command with Product with Serializable
4.  final case class ChangedSectors (addedTo: SectorGroup, removedFrom: SectorGroup) extends Product with Serializable
5.  sealed trait Command extends AnyRef
6.  final case class DespawnVehicle (vehicle: Vehicle) extends Command with Product with Serializable
7.  final case class DismissDeployable (obj: Deployable) extends Command with Product with Serializable
8.  final case class DropItem (item: Equipment, position: Vector3, orientation: Vector3) extends Command with Product with Serializable
9.  final case class GetZone (replyTo: ActorRef[ZoneResponse]) extends Command with Product with Serializable
10.  final case class HotSpotActivity (defender: SourceEntry, attacker: SourceEntry, location: Vector3) extends Command with Product with Serializable
11.  final case class PickupItem (guid: PlanetSideGUID) extends Command with Product with Serializable
12.  final case class RemoveFromBlockMap (target: BlockMapEntity) extends Command with Product with Serializable
13.  final case class RemovePlayer (player: Player) extends Command with Product with Serializable
14.  final case class SpawnVehicle (vehicle: Vehicle) extends Command with Product with Serializable
15.  final case class UpdateBlockMap (target: BlockMapEntity, toPosition: Vector3) extends Command with Product with Serializable
16.  final case class ZoneMapUpdate () extends Command with Product with Serializable
17.  final case class ZoneResponse (zone: Zone) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(zone: Zone): Behavior[Command]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped